> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a specific collateral exchange account

> Returns a collateral account by mainExchangeAccountId.
Learn more about Fireblocks Off Exchange in the following [guide](https://developers.fireblocks.com/docs/off-exchange).
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /off_exchange/collateral_accounts/{mainExchangeAccountId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /off_exchange/collateral_accounts/{mainExchangeAccountId}:
    get:
      tags:
        - Off exchanges
      summary: Find a specific collateral exchange account
      description: >-
        Returns a collateral account by mainExchangeAccountId.

        Learn more about Fireblocks Off Exchange in the following
        [guide](https://developers.fireblocks.com/docs/off-exchange).

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
      operationId: getOffExchangeCollateralAccounts
      parameters:
        - in: path
          name: mainExchangeAccountId
          required: true
          description: >-
            The id of the main exchange account for which the requested
            collateral account is associated with
          schema:
            type: string
      responses:
        '200':
          description: An ExchangeAccount object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeAccount'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<ExchangeAccount>> =
            fireblocks.offExchanges.getOffExchangeCollateralAccounts(offExchangesApiGetOffExchangeCollateralAccountsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ExchangeAccount>> response =
            fireblocks.offExchanges().getOffExchangeCollateralAccounts(mainExchangeAccountId);
        - lang: Python
          source: >-
            response =
            fireblocks.off_exchanges.get_off_exchange_collateral_accounts(main_exchange_account_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ExchangeAccount:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ExchangeType'
        name:
          type: string
          description: Display name of the exchange account
        status:
          type: string
        assets:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeAsset'
        success:
          type: boolean
          description: Did succeed in retrieve balance data
        tradingAccounts:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeTradingAccount'
        isSubaccount:
          description: True if the account is a subaccount in an exchange
          type: boolean
        mainAccountId:
          description: if the account is a sub-account, the ID of the main account
          type: string
    ExchangeType:
      description: Exchange account's type
      type: string
      enum:
        - INDEPENDENT_RESERVE
        - ENCLAVE_MARKETS
        - BIT
        - COINFLEX
        - KUCOIN
        - PXS
        - LIQUID
        - BITHUMB
        - BITFINEX
        - BITSO
        - BITSTAMP
        - KRAKEN
        - KRAKENINTL
        - BINANCE
        - BINANCEUS
        - CRYPTOCOM
        - BYBIT_V2
        - COINBASEPRO
        - COINBASEPRIME
        - COINBASEINTERNATIONAL
        - WHITEBIT
        - COINBASEEXCHANGE
        - KORBIT
        - HITBTC
        - GEMINI
        - CIRCLE
        - BITMEX
        - HUOBI
        - DERIBIT
        - OKCOIN_V5
        - OKEX
        - COINMETRO
        - GATEIO
        - SCRYPT
        - COINHAKO
        - LIGHTBIT
        - BULLISH
        - CANVAS_CONNECT
        - BITGET
        - LUNO
        - BIT_GENERA
        - TRANSFERO
    ExchangeAsset:
      type: object
      properties:
        id:
          type: string
        balance:
          type: string
        lockedAmount:
          type: string
        total:
          type: string
        available:
          type: string
        credit:
          type: string
        assetId:
          type: string
          example: 2306088f-97ed-4293-8d28-8ab627f272d7
          description: The id of the asset
        providerSymbol:
          type: string
          example: BTC
          description: The provider symbol of the asset
        assetSymbol:
          type: string
          example: BTC
          description: The asset symbol of the asset
        assetLegacyId:
          type: string
          example: BTC
          description: The asset legacy id of the asset
    ExchangeTradingAccount:
      type: object
      properties:
        type:
          type: string
        name:
          type: string
        assets:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeAsset'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````